function [string,ixc]=updategravity(md,ixc,dvar,i)
	
ixc=ixc+1;
if strcmpi(md.analysis_driver,'matlab')
    string=sprintf('\tmd.g=Dakota.xC(%d);\n',ixc);
else
    string=sprintf('\tmd.g={%s};\n',dvar(i).descriptor);
end

end
